
package de.ivu.elect.presentation.veranstaltung.menu;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.AbstractMenuModelBuilder;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Named(TeilnehmerSearchMenu.COMPONENT_NAME)
public class TeilnehmerSearchMenu extends AbstractMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "teilnehmerSearchMenu";

  @Inject
  private transient TeilnehmerSearchMenuBuilder teilnehmerSearchMenuBuilder;

  public TeilnehmerSearchMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    return teilnehmerSearchMenuBuilder.getMenuEntriesSorted();
  }
}
